# H323Gatekeeper::AlternateInfo Class Reference

`#include <gkclient.h>`

Collaboration diagram for H323Gatekeeper::AlternateInfo:

[legend]

## Public Types

| NoRegistrationNeeded
| NeedToRegister
| Register
| IsRegistered
| RegistrationFailed
enum | { NoRegistrationNeeded, NeedToRegister, Register, IsRegistered, RegistrationFailed }

## Public Member Functions

| AlternateInfo (H225_AlternateGK &alt)
| ~AlternateInfo ()
Comparison | Compare (const PObject &obj)
void | PrintOn (ostream &strm) const

## Data Fields

H323TransportAddress | rasAddress
PString | gatekeeperIdentifier
unsigned | priority
enum H323Gatekeeper::AlternateInfo:: { ... } | registrationState

## Member Enumeration Documentation

anonymous enum

Enumerator:

  NoRegistrationNeeded |
  NeedToRegister |
  Register |
  IsRegistered |
  RegistrationFailed |

## Constructor & Destructor Documentation

H323Gatekeeper::AlternateInfo::AlternateInfo | ( | H225_AlternateGK & | alt | ) |

H323Gatekeeper::AlternateInfo::~AlternateInfo | ( |  | ) |

## Member Function Documentation

Comparison H323Gatekeeper::AlternateInfo::Compare | ( | const PObject & | obj | ) |

void H323Gatekeeper::AlternateInfo::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PString H323Gatekeeper::AlternateInfo::gatekeeperIdentifier

unsigned H323Gatekeeper::AlternateInfo::priority

H323TransportAddress H323Gatekeeper::AlternateInfo::rasAddress

enum { ... } H323Gatekeeper::AlternateInfo::registrationState

The documentation for this class was generated from the following file:

- gkclient.h